From: Mart Lubbers Date: Fri, 17 Oct 2014 09:03:50 +0000 (+0200) Subject: cleaned up some data X-Git-Url: https://git.martlubbers.net/?p=martlubbers.net.git;a=commitdiff_plain;h=29a7a67295781b1e3ca0ae5e29b72050f988a413 cleaned up some data --- diff --git a/archive/nsa-dropbox.html b/archive/nsa-dropbox.html new file mode 100644 index 0000000..921e78e --- /dev/null +++ b/archive/nsa-dropbox.html @@ -0,0 +1,46 @@ + + + Use any untrusted cloud storage with encryption + + + +

PREREQUISITES

+ Install encfs and fuse
+
# apt-get install fuse encfs
+ Install a cloud service(copy.com used here)(assuming ~/bin is in your path and running on a 64bits machine)
+ When using a different architecture just change x86_64 to x86 or armv6h in the client install script
+ If ~/bin is not in your path add to your bashrc(example using user: test): +
PATH=$PATH:/home/test/bin
+ Download and install the copy client for linux +
+$ wget https://copy.com/install/linux/Copy.tgz
+$ mkdir ~/bin/copy; tar -xf Copy.tgz -C ~/bin/copy
+$ ln -s ~/bin/copy/x86_64/CopyConsole ~/bin/CopyConsole
+
+

SETUP

+

Make sure your user is in the fuse group and setup the encfs share by doing this: +

+$ mkdir ~/.copy.encr ~/copy
+$ encfs ~/.copy.encr ~/copy
+
+ When they ask use option p for paranoia and pick a password.
+ Create an account on copy.com and setup the client by typing this command +
$ CopyConsole -u=the_mail_you_signed_up_with -r=/home/your_linux_username/.copy.encr -p=the_password_you_signed_up_with
+ This creates a setup that does this automatically in the future
+ Let the daemon and the encfs autostart when you and only you are logged in by adding this to ~/.bashrc +
+if ! mountpoint -q ~/copy; then
+    encfs ~/.copy.encr ~/copy
+fi
+if ! pidof CopyConsole >> /dev/null; then
+    CopyConsole -daemon 2>&1 1>/dev/null
+fi
+
+ Congratulations your setup is working.
+ When you want to stop the daemon you can kill the pid given by ~/.copy.pid.
+ From now on your computer or server will ask one time for you password when the first bash starts in your account.

+ +

NOTES

+

This could work with any cloud service, just mount the folder it wil sync first with encfs

+ + diff --git a/archive/wlan-debian.html b/archive/wlan-debian.html new file mode 100644 index 0000000..8f35522 --- /dev/null +++ b/archive/wlan-debian.html @@ -0,0 +1,78 @@ + + + Automatic wifi without heavy network manager on debian + + + +

PREREQUISITES

+

Install wpa_supplicant and wireless-tools(standard in most distros).
+

# apt-get install wireless-tools wpa_supplicant
+
+ Identify your wifi controller. This can usually be found by typing
+
$ iwconfig
+
+ Locate all the config files for your desired networks. Mine are placed in /etc/network/wifi/.conf. More info on creating configs in the end of the file.

+ +

INSTALLATION

+

Create the SSID selection script.
+ I've put mine in /etc/network/wifi/select
+

+#!/bin/sh
+ifconfig [INTERFACE] up 1> /dev/null && { iwlist [INTERFACE] scan | grep -o "\".*\"" | tr -d \'\" | sort | uniq; grep -o "map\ .*" /etc/network/interfaces | awk '{print $2}'; } | sort | uniq -d | head -1
+
+
+ Make it executable.
+
# chmod +x /etc/network/wifi/select
+
+ Change in /etc/network/interfaces the [INTERFACE] specification.
+
		
+mapping [INTERFACE]
+	script /etc/network/wifi/select
+	map [SSID]1
+	map [SSID]2
+	..
+	map eduroam
+
+iface [SSID]1 inet dhcp
+wpa_conf /etc/network/wifi/[SSID]1.conf
+
+iface [SSID]2 inet dhcp
+wpa_conf /etc/network/wifi/[SSID]2.conf
+
+..
+
+iface eduroam inet dhcp
+wpa_conf /etc/network/wifi/eduroam.conf
+
+
+ You're finished! Restart the network service with:
+
# service networking restartworking restart
+ And you can connect to a available network by running this command.
+
# ifup [INTERFACE]
+ If you want to force an [SSID] you can run:
+
# ifup [INTERFACE]=[SSID]

+ +

CONFIG CREATION

+

Standard wpa2 network configs can be created by running:
+

# wpa_passphrase [SSID] [PASSWORD] > /etc/network/wifi/[SSID].conf
+
+ For eduroam you can use this example:
+
		
+network={
+	ssid="eduroam"
+	key_mgmt=WPA-EAP
+	eap=TTLS
+	phase2="auth=MSCHAPV2"
+	ca_cert="/etc/ssl/certs/AddTrust_External_Root.pem"
+	identity="login@university.nl"
+	scan_ssid=1
+	password="YOURPASSWORD"
+}
+
+ If you don't want your password in a config you can also use a hash generated by this command. (Don't forget to remove it from ~/.bash_history afterwards)
+
$ echo -n [PASSWORD] | iconv -t UTF16LE | openssl md4
+ You should replace the plaintext string with: "hash:[HASHOUTPUT]"
+ note: don't use quotes.

+
update 2014-03-04: fixed a few small errors concerning hashing and config files
+ + diff --git a/archive/youtube-term.html b/archive/youtube-term.html new file mode 100644 index 0000000..6f69543 --- /dev/null +++ b/archive/youtube-term.html @@ -0,0 +1,31 @@ + + + Play youtube videos on a headless server + + + + Download the get_flash_videos latest version: +
$ git clone https://github.com/monsieurvideo/get-flash-videos.git
+ Install the dependencies: +
# apt-get install perl libmodule-find-perl libwww-mechanize-perl vlc
+ Install the get_flash_videos script: +
+$ cd get-flash-videos/
+$ make
+$ make install
+
+ Create a small script that combines these with vlc by adding this to bashrc or a shellscript in PATH the flag -A alsa could be different(when usig pulseaudio it can be omitted): +
+function ytview {
+	if [ "$#" -ne "1" ]; then
+		echo "usage $0 yturl"
+	else
+		get_flash_videos -q -f - $1 | cvlc -A alsa -V aa -
+	fi
+}
+
+ Play a video by typing: +
$ ytview http://www.youtube.com/watch?v=QAUzWtLMnU0
+ Some videos can't be downloaded, but most videos will just work. + + diff --git a/hashes.txt b/hashes.txt index b3cb722..47051b4 100644 --- a/hashes.txt +++ b/hashes.txt @@ -1,15 +1,12 @@ 3d85a9b435eb833de088e45c3f56e49c ./dvorak.html 9e5b7702d73bfb7febb24bf58f0e8d60 ./hashes.txt -90104db709d8c0c3b796e0e4a36b6b83 ./index.html +e93bffb77c9c45e1b3efdc4092d04e3d ./index.html 72ac29b74f3e09c551aa10a2a8d2581d ./lejos-ubuntu.html 0ba6cb2c3a9d7d8ba27406d215aa501e ./mart@martlubbers.net.asc -146f1bb6bed2adfd4d13f9644390db71 ./nsa-dropbox.html 75068866762dc200d6e185bfe9b3a2bf ./o.html ce31052406b3874b287e98c8a9477516 ./p.jpg 95b2932b7da95664dcef20097b1b58df ./put.bash 43eb61826bc538817b4c78c7f8d57019 ./README.md 4be5b32df3dedb74eeb758b233864fe6 ./robots.txt -c4eb5b90b5d47d5c7bfe9a80a80abe40 ./style.css +d41d8cd98f00b204e9800998ecf8427e ./style.css d69f225d06c3d7a417fb5e8159efc2d1 ./test.php -2ed34aa229468632cce58151c33d1ebc ./wlan-debian.html -d07dca8f45b3f046558216cf3ac96c28 ./youtube-term.html diff --git a/index.html b/index.html index 25426c4..0649305 100644 --- a/index.html +++ b/index.html @@ -46,37 +46,38 @@

2014-09-09: Introduction to the command line and bash session. LUGN

2014-07-08: Advanced usage of ssh. LUGN

-

Personal Projects

-

Tutorials or manuals

+

Software and libraries

-

Currently active

+

Tutorials or manuals

-

Suspended

+

Suspended projects/archive

Other Interests

-

- Death/Doom metal
+

+ - Death/Doom metal
- Hacking
- Kung fu
- Linux
- - Pokémon

+ - Pokémon +

Last updated: 14-10-16 footer diff --git a/style.css b/style.css index d9b00dd..e69de29 100644 --- a/style.css +++ b/style.css @@ -1,303 +0,0 @@ -@import url(http://fonts.googleapis.com/css?family=Inconsolata); -@import url(http://fonts.googleapis.com/css?family=PT+Sans); -@import url(http://fonts.googleapis.com/css?family=PT+Sans+Narrow:400,700); -article, -aside, -details, -figcaption, -figure, -footer, -header, -hgroup, -nav, -section, -summary { - display: block; -} -audio, -canvas, -video { - display: inline-block; -} -audio:not([controls]) { - display: none; - height: 0; -} -[hidden] { - display: none; -} -html { - font-family: sans-serif; - -webkit-text-size-adjust: 100%; - -ms-text-size-adjust: 100%; -} -body { - margin: 0; -} -a:focus { - outline: thin dotted; -} -a:active, -a:hover { - outline: 0; -} -h1 { - font-size: 2em; -} -abbr[title] { - border-bottom: 1px dotted; -} -b, -strong { - font-weight: bold; -} -dfn { - font-style: italic; -} -mark { - background: #ff0; - color: #000; -} -code, -kbd, -pre, -samp { - font-family: monospace, serif; - font-size: 1em; -} -pre { - white-space: pre-wrap; - word-wrap: break-word; -} -q { - quotes: "\201C" "\201D" "\2018" "\2019"; -} -small { - font-size: 80%; -} -sub, -sup { - font-size: 75%; - line-height: 0; - position: relative; - vertical-align: baseline; -} -sup { - top: -0.5em; -} -sub { - bottom: -0.25em; -} -img { - border: 0; -} -svg:not(:root) { - overflow: hidden; -} -figure { - margin: 0; -} -fieldset { - border: 1px solid #c0c0c0; - margin: 0 2px; - padding: 0.35em 0.625em 0.75em; -} -legend { - border: 0; - padding: 0; -} -button, -input, -select, -textarea { - font-family: inherit; - font-size: 100%; - margin: 0; -} -button, -input { - line-height: normal; -} -button, -html input[type="button"], -input[type="reset"], -input[type="submit"] { - -webkit-appearance: button; - cursor: pointer; -} -button[disabled], -input[disabled] { - cursor: default; -} -input[type="checkbox"], -input[type="radio"] { - box-sizing: border-box; - padding: 0; -} -input[type="search"] { - -webkit-appearance: textfield; - -moz-box-sizing: content-box; - -webkit-box-sizing: content-box; - box-sizing: content-box; -} -input[type="search"]::-webkit-search-cancel-button, -input[type="search"]::-webkit-search-decoration { - -webkit-appearance: none; -} -button::-moz-focus-inner, -input::-moz-focus-inner { - border: 0; - padding: 0; -} -textarea { - overflow: auto; - vertical-align: top; -} -table { - border-collapse: collapse; - border-spacing: 0; -} -html { - font-family: 'PT Sans', sans-serif; -} -pre, -code { - font-family: 'Inconsolata', sans-serif; -} -h1, -h2, -h3, -h4, -h5, -h6 { - font-family: 'PT Sans Narrow', sans-serif; - font-weight: 700; -} -html { - background-color: #eee8d5; - color: #657b83; - margin: 1em; -} -body { - background-color: #fdf6e3; - margin: 0 auto; - max-width: 23cm; - border: 1pt solid #93a1a1; - padding: 1em; -} -code { - background-color: #eee8d5; - padding: 2px; -} -a { - color: #b58900; -} -a:visited { - color: #cb4b16; -} -a:hover { - color: #cb4b16; -} -h1 { - color: #d33682; -} -h2, -h3, -h4, -h5, -h6 { - color: #859900; -} -pre { - background-color: #fdf6e3; - color: #657b83; - border: 1pt solid #93a1a1; - padding: 1em; - box-shadow: 5pt 5pt 8pt #eee8d5; -} -pre code { - background-color: #fdf6e3; -} -h1 { - font-size: 2.8em; -} -h2 { - font-size: 2.4em; -} -h3 { - font-size: 1.8em; -} -h4 { - font-size: 1.4em; -} -h5 { - font-size: 1.3em; -} -h6 { - font-size: 1.15em; -} -.tag { - background-color: #eee8d5; - color: #d33682; - padding: 0 0.2em; -} -.todo, -.next, -.done { - color: #fdf6e3; - background-color: #dc322f; - padding: 0 0.2em; -} -.tag { - -webkit-border-radius: 0.35em; - -moz-border-radius: 0.35em; - border-radius: 0.35em; -} -.TODO { - -webkit-border-radius: 0.2em; - -moz-border-radius: 0.2em; - border-radius: 0.2em; - background-color: #2aa198; -} -.NEXT { - -webkit-border-radius: 0.2em; - -moz-border-radius: 0.2em; - border-radius: 0.2em; - background-color: #268bd2; -} -.ACTIVE { - -webkit-border-radius: 0.2em; - -moz-border-radius: 0.2em; - border-radius: 0.2em; - background-color: #268bd2; -} -.DONE { - -webkit-border-radius: 0.2em; - -moz-border-radius: 0.2em; - border-radius: 0.2em; - background-color: #859900; -} -.WAITING { - -webkit-border-radius: 0.2em; - -moz-border-radius: 0.2em; - border-radius: 0.2em; - background-color: #cb4b16; -} -.HOLD { - -webkit-border-radius: 0.2em; - -moz-border-radius: 0.2em; - border-radius: 0.2em; - background-color: #d33682; -} -.NOTE { - -webkit-border-radius: 0.2em; - -moz-border-radius: 0.2em; - border-radius: 0.2em; - background-color: #d33682; -} -.CANCELLED { - -webkit-border-radius: 0.2em; - -moz-border-radius: 0.2em; - border-radius: 0.2em; - background-color: #859900; -}